Skip to main content

Update personalized GUI settings

PUT/v2/users/{userId}/settings
API version
v2
Request method
PUT
Operation ID
user-update-personalized-settings

Request​

  • userIdstringrequired

    self or the id of a user.

Responses​

No response content specified.

Usage examples​

$ curl \
--fail \
--location \
-X PUT \
-d '{"settingsString":"eyJvbmJvYXJkaW5nIjp7ImNvbXBsZXRlZCI6W119LCJyZWNlbnRWaXNpdHMiOnsicmVjZW50VmlzaXRzIjp7fSwicmVjZW50VmlzaXRlZFBhdGhzIjp7fX0sImNoYW5nZWxvZ3MiOnsicmVhZElkcyI6WzIsMSwzLDQsNSw2LDgsNyw5XX19"}' \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
-H 'Content-Type: application/json' \
https://api.mittwald.de/v2/users/string/settings
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.user.updatePersonalizedSettings({
"userId": "string",
"data": {
"settingsString": "eyJvbmJvYXJkaW5nIjp7ImNvbXBsZXRlZCI6W119LCJyZWNlbnRWaXNpdHMiOnsicmVjZW50VmlzaXRzIjp7fSwicmVjZW50VmlzaXRlZFBhdGhzIjp7fX0sImNoYW5nZWxvZ3MiOnsicmVhZElkcyI6WzIsMSwzLDQsNSw2LDgsNyw5XX19"
}
});

assertStatus(response, 204);

use \Mittwald\ApiClient\Generated\V2\Clients\User\UpdatePersonalizedSettings\UpdatePersonalizedSettingsRequest;
use \Mittwald\ApiClient\Generated\V2\Clients\User\UpdatePersonalizedSettings\UpdatePersonalizedSettingsRequestBody;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

// TODO: Please consult the properties and constructor signature of
// UpdatePersonalizedSettingsRequestBody to learn how to construct a valid instance
$body = new UpdatePersonalizedSettingsRequestBody(/* TODO: ... */);

$request = (new UpdatePersonalizedSettingsRequest(
userId: "string",
body: $body
));
$response = $client->user()->updatePersonalizedSettings($request);

var_dump($response->getBody();

On this page